> ## Documentation Index
> Fetch the complete documentation index at: https://docs.awazindia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Dialer

> Creates a new Dialer



## OpenAPI

````yaml POST /dialer/create
openapi: 3.1.0
info:
  title: AwazIndia API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.awazindia.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /dialer/create:
    post:
      description: Creates a new Dialer
      requestBody:
        description: Dialer to add
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewDialer'
        required: true
      responses:
        '200':
          description: Dialer response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Dialer'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewDialer:
      allOf:
        - $ref: '#/components/schemas/Dialer'
        - type: object
    Dialer:
      required:
        - dialer_type
        - name
        - phone_number
        - sid
        - auth_token
        - sip_termination_uri
      type: object
      properties:
        dialer_type:
          description: Dialer type
          type: string
          enum:
            - Twilio
            - Telnyx
            - sip
        name:
          description: The name of the dialer
          type: string
        phone_number:
          description: Phone number
          type: string
        sid:
          description: The sid
          type: string
        auth_token:
          description: Auth token and also for Telnyx id not require.
          type: string
        sip_termination_uri:
          description: SIP termination uri for only sip
          type: string
        sip_trunk_user_name:
          description: SIP trunk user name for only sip
          type: string
        sip_trunk_password:
          description: SIP trunk password for only sip
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````